summaryrefslogtreecommitdiff
path: root/qa/654
diff options
context:
space:
mode:
authorIgor Pashev <pashev.igor@gmail.com>2014-10-26 12:33:50 +0400
committerIgor Pashev <pashev.igor@gmail.com>2014-10-26 12:33:50 +0400
commit47e6e7c84f008a53061e661f31ae96629bc694ef (patch)
tree648a07f3b5b9d67ce19b0fd72e8caa1175c98f1a /qa/654
downloadpcp-debian.tar.gz
Debian 3.9.10debian/3.9.10debian
Diffstat (limited to 'qa/654')
-rwxr-xr-xqa/65453
1 files changed, 53 insertions, 0 deletions
diff --git a/qa/654 b/qa/654
new file mode 100755
index 0000000..5ba2817
--- /dev/null
+++ b/qa/654
@@ -0,0 +1,53 @@
+#! /bin/sh
+# PCP QA Test No. 654
+# checks basic pmdagfs2 functionality
+# Requires GFS2 support in the kernel and gfs2-utils installed,
+# else the test will not run.
+#
+# Copyright (c) 2013 - 2014 Red Hat, Inc. All Rights Reserved.
+#
+seq=`basename $0`
+echo "QA output created by $seq"
+
+# get standard environment, filters and checks
+. ./common.product
+. ./common.filter
+. ./common.check
+. ./common.gfs2
+
+# Attempt to set up the gfs2 pmda test enviroment
+_gfs2_filesystem_support_tests
+_debugfs_mount_tests
+
+# check for any loopback devices, cowardly abort this test if any exist
+loopcount=`$sudo losetup -a | wc -l`
+[ $loopcount -eq 0 ] || _notrun "System has loop devices already, bailing"
+
+iam=gfs2
+status=1 # failure is the default!
+trap "_cleanup" 0 1 2 3 15
+
+$sudo rm -fr $tmp.*.dir
+$sudo rm -f $tmp.* $seq.full
+touch $here/$seq.full
+
+# real QA test starts here
+_prepare_pmda_install $iam
+_install_pmda | _filter_gfs2
+_setup_gfs2_mounts
+
+echo "=== Check for successful install of pmda ===" | tee -a $here/$seq.full
+pminfo -v gfs2 > /dev/null || _fail "install failed?"
+
+echo
+echo "=== Check that the number of metrics are correct ===" | tee -a $here/$seq.full
+[ `_pmcount gfs2` -ge 316 ] || _fail "Too few metrics?"
+
+echo
+echo "=== Basic glock stats from all kernels ===" | tee -a $here/$seq.full
+pminfo -fdm gfs2.glocks | _gfs2_filter_pminfo
+
+_remove_pmda
+
+status=0
+exit